/**
  *  \file client/widgets/helpwidget.h
  *  \brief WHelpWidget widget
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_HELPWIDGET_H
#define PCC_V2_CLIENT_WIDGETS_HELPWIDGET_H

#include "ui/ui.h"

/** Help widget. This is an invisible widget that handles help invocation.
    When it detects Alt-H, H, or F1, and neither of the latter two was
    swallowed by another widget, it will open the associated help page. */
class WHelpWidget : public UIFixedWidget {
    string_t page;
 public:
    WHelpWidget(string_t page);
    ~WHelpWidget();
    bool handleEvent(const UIEvent& event, bool second_pass);
    void drawContent(GfxCanvas& can);
};

#endif
